package com.om.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.dto.AppDTO;
import com.om.entity.po.Apps;
import com.om.entity.vo.AppUpdateVO;
import com.om.utils.Result;

/**
 * <p>
 * 软件应用表 服务类
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
public interface IAppsService extends IService<Apps> {

    Page<Apps> findApps(Page<Apps> objectPage, String code, String title);

    Result<AppUpdateVO> AppUpdate(AppDTO dto);

    Result push(Integer id);
}
